SINFO(1)

NAME
sinfo - Used to view information of jobs located in the scheduling queue.

SYNOPSIS
sinfo [OPTIONS...]

DESCRIPTION
sinfo is used to view partition and node status and information for a system running SLURM.

OPTIONS

-?, --help
    Print a help message describing the usage of sinfo.

-e, --exact
    If set, to not group node information on a single node unless their configurations are identical. By default cpu count, memory size, and disk space will be listed as a range for nodes with the same partition and state.

-i <time> , --iterate <time>
    Print the state on a periodic basis.

-l , --long
    List more detailed information than normally provided.

-n <node> , --node <node>
    List information on the specified node(s).

-t <state> , --state <state>
    List nodes of a given state.

--summarize
    List only a partition state summary. Do not show individual nodes.

-p <partition>, --partition <partition>
    Display information about the specified partition. If -p is used no arguments, all partitions will be displayed. If -p is used with a -n having no arguments, all the nodes of the specified partition will be displayed.

--usage
    Dipaly brief description of commands and options.

-v , --verbose
    Provide detailed event logging through program execution.

ARGUMENTS

node
    The names of one or more comma separated nodes. Names may be specified using node range expressions. For example "linux[00-07]" would indicate eight nodes, "linux00" through "linux07".

partition
    The names of one or more comma separated partitions.

state
    A valid node state. Possible values include: ALLOC, ALLOCATED, COMP, COMPLETING, DOWN, DRAIN, DRAINED, DRAINING, IDLE, UNK, and UNKNOWN. A "*" suffix may be appended to any of these states to search for nodes in the specified state which are not responding. By default nodes in the specified state are reported whether they are responding or not.

time
    Number of seconds to wait between each iteration.

OUTPUT

PARTITION
    Name of the partition.

NODES
    Count of nodes with this particular configuration.

STATE
    State of the nodes. Note that the suffix "*" marks nodes that are presently not responding.

CPUS
    Count of CPUs (processors) on these nodes.

MEM Size of real memory in megabytes on these nodes.

DISK
    Size of temporary disk space in megabytes on these nodes.

NODES
    Names of nodes with this particular configuration.

EXAMPLES
Report basic system configuration:
# ./sinfo
PARTITION NODES STATE CPUS MEMORY TMP_DISK NODES
----------------------------------------------------------
debug 18 IDLE 2 128 512 dev[1-18]
debug 2 DRAIN 2 128 512 dev[19-20]
pbatch 60 ALLOC 2 128 512 dev[21-80]
pbatch 19 IDLE 2 128 512 dev[81-99]

Report more complete information about the partition debug:
# ./sinfo --long --partition debug
PARTITION INFORMATION
============================================================
debug
        current state = UP
        default partition = YES
        total nodes = 20
        total cpus = 40
        max jobtime = 30
        max nodes/job = 10
        root only = NO
        share nodes = NO
        NODES STATE CPUS MEMORY TMP_DISK NODES
        ----------------------------------------------------
           18 IDLE 2 128 512 dev[1-18]
            2 DRAIN 2 128 512 dev[19-20]
===========================================================+=

Report only those nodes that are in state DRAINED:
# ./sinfo --state DRAINED
PARTITION NODES STATE CPUS MEMORY TMP_DISK NODES
-----------------------------------------------------------
debug 2 DRAIN 2 128 512 dev[19-20]

COPYING
Copyright (C) 2002 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). UCRL-CODE-2002-040.

This file is part of SLURM, a resource management program. For details, see <http://www.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
slurm_load_ctl_conf(3), slurm_load_jobs(3), slurm_load_node(3), slurm_load_partitions(3), slurm_reconfigure(3), slurm_shutdown(3), slurm_update_job(3), slurm_update_node(3), slurm_update_partition(3)